<?php

defined('PRELOAD_PATH') or die('Hacking attempt!');

global $conf, $template, $page;
load_language('plugin.lang', PRELOAD_PATH);

if (isset($_POST['submit']))
{
	$oldconf = $conf;
	$conf[PRELOAD_ID] = array();
	if (isset($_POST['preloadImageCount'])) {
		$conf[PRELOAD_ID]['imageCount'] = $_POST['preloadImageCount'];
	} else {
		$conf[PRELOAD_ID]['imageCount'] = $oldconf[PRELOAD_ID]['preloadImageCount'];
	}

	conf_update_param(PRELOAD_ID, serialize($conf[PRELOAD_ID]));
	$page['infos'][] = l10n('Information data registered in database');
}

$template->assign(array(
	'Preload' => $conf[PRELOAD_ID],
));

$template->set_filename('plugin_admin_content', realpath(PRELOAD_PATH . 'template/admin.tpl'));
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>
